[ CCUnit project page ] |  | [ CCUnit home page ]

Data Fields

# _CCUnitTestFixtureDef Struct Reference
[_TestFixtureDef]

Test fixture definition information. More...

`#include <CCUnitMakeSuite.h>`

Collaboration diagram for _CCUnitTestFixtureDef:
[legend]

## Data Fields
_CCUnitTestDef | testdef
| super class
_CCUnitFuncDef * | ctor
| constructor
_CCUnitFuncDef * | dtor
| destructor
_CCUnitFuncDef * | setup_setUp
| fixture setup function
_CCUnitFuncDef * | setup_tearDown
| fixture tearDown function
_CCUnitFuncDef * | setUp
| test setup function
_CCUnitFuncDef * | tearDown
| test tearDown function
CCUnitList | testCases
| test case list

## Detailed Description

Test fixture definition information.

## Field Documentation

_CCUnitFuncDef* _CCUnitTestFixtureDef::ctor

constructor

_CCUnitFuncDef* _CCUnitTestFixtureDef::dtor

destructor

_CCUnitFuncDef* _CCUnitTestFixtureDef::setUp

test setup function

Referenced by destroyTestFixtureDef(), printFixture(), printPrototypes(), and readTestFixture().

_CCUnitFuncDef* _CCUnitTestFixtureDef::setup_setUp

fixture setup function

Referenced by printFixture(), printPrototypes(), and readTestFixture().

_CCUnitFuncDef* _CCUnitTestFixtureDef::setup_tearDown

fixture tearDown function

Referenced by printFixture(), printPrototypes(), and readTestFixture().

_CCUnitFuncDef* _CCUnitTestFixtureDef::tearDown

test tearDown function

Referenced by destroyTestFixtureDef(), printFixture(), printPrototypes(), and readTestFixture().

CCUnitList _CCUnitTestFixtureDef::testCases

test case list

Referenced by destroyTestFixtureDef(), newTestFixtureDef(), printFixture(), printPrototypes(), and readTestFixture().

_CCUnitTestDef _CCUnitTestFixtureDef::testdef

super class

Referenced by addTestFixtureDef(), destroyTestFixtureDef(), newTestFixtureDef(), printFixture(), printPrototypes(), and readTestFixture().

The documentation for this struct was generated from the following file:

- CCUnitMakeSuite.h

| hosts this site. |  | Send comments to: CCUnit Developer |